org.apache.sling.xss.impl

## Class HtmlToHtmlContentContext

- java.lang.Object
- - org.apache.sling.xss.impl.HtmlToHtmlContentContext

All Implemented Interfaces:
  XSSFilterRule

    public class HtmlToHtmlContentContext
    extends Object
    implements XSSFilterRule

This class implements an escaping rule to be used for cleaning up existing HTML content. The output will still be HTML.

The cleanup is performed using the AntiSamy library found at http://www.owasp.org/index.php/AntiSamy

### Constructor Summary

Constructors
Constructor and Description
`HtmlToHtmlContentContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `check(PolicyHandler policyHandler, String str)` Check to see if a given string contains policy violations.
`String` `filter(PolicyHandler policyHandler, String str)` Filter a given string to remove any policy violations.
`boolean` `supportsPolicy()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlToHtmlContentContext

    public HtmlToHtmlContentContext()

### Method Detail

#### check

    public boolean check(PolicyHandler policyHandler,
                         String str)

Description copied from interface: `XSSFilterRule`
Check to see if a given string contains policy violations.

Specified by:
  `check` in interface `XSSFilterRule`
Parameters:
  `policyHandler` - the policy handler to use for filtering
  `str` - the input to check
Returns:
  true if the source string is free of policy violations (as defined by policyHandler)
See Also:
  `XSSFilterRule.check(PolicyHandler, String)`

#### filter

    public String filter(PolicyHandler policyHandler,
                         String str)

Description copied from interface: `XSSFilterRule`
Filter a given string to remove any policy violations.

Specified by:
  `filter` in interface `XSSFilterRule`
Parameters:
  `policyHandler` - the policy handler to use for filtering
  `str` - the input to filter
Returns:
  a filtered string which is "safe" (as defined by policyHandler)
See Also:
  `XSSFilterRule.filter(PolicyHandler, java.lang.String)`

#### supportsPolicy

    public boolean supportsPolicy()

Specified by:
  `supportsPolicy` in interface `XSSFilterRule`
See Also:
  `XSSFilterRule.supportsPolicy()`